Bug 199468 - graphics/gx: Take MAINTAINER'ship, Fix MASTER_SITES, Add WWW
Summary: graphics/gx: Take MAINTAINER'ship, Fix MASTER_SITES, Add WWW
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-04-15 17:30 UTC by Chris Hutchinson
Modified: 2015-05-18 18:54 UTC (History)
2 users (show)

See Also:


Attachments
svn diff that fixes graphics/gx (929 bytes, patch)
2015-04-15 17:30 UTC, Chris Hutchinson
no flags Details | Diff
svn diff for graphics/gx (4.34 KB, patch)
2015-04-16 17:23 UTC, Chris Hutchinson
koobs: maintainer-approval+
Details | Diff
QA session log for graphics/gx (23.13 KB, text/x-log)
2015-04-16 17:25 UTC, Chris Hutchinson
no flags Details
svn diff for graphics/gx (obsoletes previous) (4.37 KB, patch)
2015-04-17 05:35 UTC, Chris Hutchinson
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2015-04-15 17:30:58 UTC
Created attachment 155627 [details]
svn diff that fixes graphics/gx

Got a notice this ports source had gone missing.
I use the port, and it works well for lightweight
desktop environments. So I'll provide a mirror for
the source, along with the others I also host.

The svn diff attached fixes this port.

changes MASTER_SITES, adds WWW, takes MAINTAINER.

That's it!

Thanks!

--Chris
Comment 1 Chris Hutchinson 2015-04-16 17:23:02 UTC
Created attachment 155650 [details]
svn diff for graphics/gx

obsoletes previous patch.

CHANGES
fixes MASTER_SITES
takes MAINTAINER

adds WWW, files/patch-Makefile.am, files/patch-Makefile.in,
files/patch-gx.desktop

Thanks!

--Chris
Comment 2 Chris Hutchinson 2015-04-16 17:25:17 UTC
Created attachment 155651 [details]
QA session log for graphics/gx

requisite QA session LOG.
Comment 3 Chris Hutchinson 2015-04-16 17:28:58 UTC
(In reply to Chris Hutchinson from comment #2)
> Created attachment 155651 [details]
> QA session log for graphics/gx
> 
> requisite QA session LOG.

Please note: the changes I made, probably warrant
bumping PORTREVISION.

--Chris
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-17 05:23:38 UTC
@Chris, if the change warrants a PORTREVISION bump, please update attachment 155650 [details] accordingly.

This port has no maintainer, thus implicitly maintainer-approved
Comment 5 Chris Hutchinson 2015-04-17 05:35:36 UTC
Created attachment 155662 [details]
svn diff for graphics/gx (obsoletes previous)

Same as previous patch, but bumps PORTREVISION.

Thanks, Kubilay Kocak!

--Chris
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-17 05:41:14 UTC
Thanks. Note: In cases where a port is currently unmaintained (ports@) *and* the change you're making "takes maintainership" by setting MAINTAINER to your (bugzilla) email address, feel free to set maintainer-approved (as implicit) if you have the permissions to do so.
Comment 7 Chris Hutchinson 2015-04-17 06:05:02 UTC
(In reply to Kubilay Kocak from comment #6)
> Thanks. Note: In cases where a port is currently unmaintained (ports@) *and*
> the change you're making "takes maintainership" by setting MAINTAINER to
> your (bugzilla) email address, feel free to set maintainer-approved (as
> implicit) if you have the permissions to do so.

Thanks for the information. I don't see the "maintainer-approv(ed/al)"
on this PR. Probably not required/necessary in this case. :)

Thanks again, Kubilay Kocak, for taking the time for this.

--Chris
Comment 8 commit-hook freebsd_committer 2015-05-10 14:16:42 UTC
A commit references this bug:

Author: riggs
Date: Sun May 10 14:15:45 UTC 2015
New revision: 385958
URL: https://svnweb.freebsd.org/changeset/ports/385958

Log:
  - Un-break build; distfile is now fetchable again (new MASTER_SITES)
  - New port maintainer:  Chris Hutchinson <portmaster@bsdforge.com>
  - Add LICENSE
  - Use PLIST_FILES instead of pkg-plist
  - Bump PORTREVISION
  - Update pkg-descr
  - Pet portlint

  PR:		199468
  Submitted by:	portmaster@bsdforge.com (maintainer)
  Reviewed by:	riggs
  MFH:		2015Q2

Changes:
  head/graphics/gx/Makefile
  head/graphics/gx/files/
  head/graphics/gx/files/patch-Makefile.am
  head/graphics/gx/files/patch-Makefile.in
  head/graphics/gx/files/patch-gx.desktop
  head/graphics/gx/pkg-descr
  head/graphics/gx/pkg-plist
Comment 9 Thomas Zander freebsd_committer 2015-05-10 14:18:45 UTC
Committed with some changes, mostly issues correctly identified by portlint.
Comment 10 commit-hook freebsd_committer 2015-05-18 18:54:37 UTC
A commit references this bug:

Author: riggs
Date: Mon May 18 18:53:56 UTC 2015
New revision: 386701
URL: https://svnweb.freebsd.org/changeset/ports/386701

Log:
  MFH: r385958

  - Un-break build; distfile is now fetchable again (new MASTER_SITES)
  - New port maintainer:  Chris Hutchinson <portmaster@bsdforge.com>
  - Add LICENSE
  - Use PLIST_FILES instead of pkg-plist
  - Bump PORTREVISION
  - Update pkg-descr
  - Pet portlint

  PR:		199468
  Submitted by:	portmaster@bsdforge.com (maintainer)
  Reviewed by:	riggs
  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/graphics/gx/Makefile
  branches/2015Q2/graphics/gx/files/
  branches/2015Q2/graphics/gx/pkg-descr
  branches/2015Q2/graphics/gx/pkg-plist